%define upstream_name    Web-Scraper
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Drop-in replacement for Web::Scraper to use LibXML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Web/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Selector::XPath) >= 0.30.0
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::TreeBuilder) >= 3.230.0
BuildRequires: perl(HTML::TreeBuilder::XPath) >= 0.80.0
BuildRequires: perl(LWP) >= 5.827.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI)
BuildRequires: perl(XML::XPathEngine) >= 0.80.0
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
Web::Scraper is a web scraper toolkit, inspired by Ruby's equivalent
Scrapi. It provides a DSL-ish interface for traversing HTML documents and
returning a neatly arranged Perl data strcuture.

The _scraper_ and _process_ blocks provide a method to define what segments
of a document to extract. It understands HTML and CSS Selectors as well as
XPath expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README eg
%{_bindir}/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 26 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 60403
- update to 0.34

* Mon Jan 24 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 36635
- mageia rebuild
- imported package perl-Web-Scraper


* Sat Jan 15 2011 cpan2dist 0.32-1mdv
- initial mdv release, generated with cpan2dist
